using System;
namespace HySoft.BaseCallCenter.Model
{
	/// <summary>
	/// T_SMS_SentSMS:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class T_SMS_SentSMS
	{
		public T_SMS_SentSMS()
		{}
		#region Model
		private int _smsid;
		private string _telnum;
		private string _content;
		private DateTime _committime;
		private int _state;
		private DateTime? _sendtime;
		private DateTime? _lastsenttime;
		private int _maxsendcount;
		private int _cursentcount;
		private string _info;
		private string _sendmodemimei;
		private int? _f_userid;
		private int? _f_customerid;
		private string _f_name;
		/// <summary>
		/// 
		/// </summary>
		public int SMSID
		{
			set{ _smsid=value;}
			get{return _smsid;}
		}
		/// <summary>
		/// 电话号码
		/// </summary>
		public string TelNum
		{
			set{ _telnum=value;}
			get{return _telnum;}
		}
		/// <summary>
		/// 内容
		/// </summary>
		public string Content
		{
			set{ _content=value;}
			get{return _content;}
		}
		/// <summary>
		/// 提交时间
		/// </summary>
		public DateTime CommitTime
		{
			set{ _committime=value;}
			get{return _committime;}
		}
		/// <summary>
		/// 是否发送
		/// </summary>
		public int State
		{
			set{ _state=value;}
			get{return _state;}
		}
		/// <summary>
		/// 发送时间
		/// </summary>
		public DateTime? SendTime
		{
			set{ _sendtime=value;}
			get{return _sendtime;}
		}
		/// <summary>
		/// 最后发送时间
		/// </summary>
		public DateTime? LastSentTime
		{
			set{ _lastsenttime=value;}
			get{return _lastsenttime;}
		}
		/// <summary>
		/// 最大发送次数
		/// </summary>
		public int MaxSendCount
		{
			set{ _maxsendcount=value;}
			get{return _maxsendcount;}
		}
		/// <summary>
		/// 已发送次数
		/// </summary>
		public int CurSentCount
		{
			set{ _cursentcount=value;}
			get{return _cursentcount;}
		}
		/// <summary>
		/// 短信发送状态（立即发送，延迟发送）
		/// </summary>
		public string Info
		{
			set{ _info=value;}
			get{return _info;}
		}
		/// <summary>
		/// 发送通道
		/// </summary>
		public string SendModemIMEI
		{
			set{ _sendmodemimei=value;}
			get{return _sendmodemimei;}
		}
		/// <summary>
		/// 发送人Id
		/// </summary>
		public int? F_UserID
		{
			set{ _f_userid=value;}
			get{return _f_userid;}
		}
		/// <summary>
		/// 接收人Id
		/// </summary>
		public int? F_CustomerID
		{
			set{ _f_customerid=value;}
			get{return _f_customerid;}
		}
		/// <summary>
		/// 发送人
		/// </summary>
		public string F_Name
		{
			set{ _f_name=value;}
			get{return _f_name;}
		}
		#endregion Model

	}
}

